# WelcomeDialog | botserver

### Hierarchy

- WelcomeDialog
  - WelcomeDialog
    - WelcomeDialog

## Index

### Methods

- setup

## Methods

### Static setup

- setup(bot: BotAdapter, min: GBMinInstance): void

- - Defined in deploy/core.gbapp/dialogs/WelcomeDialog.ts:47

  Setup dialogs flows and define services call.

  #### Parameters

  - ##### bot: BotAdapter

    The bot adapter.

  - ##### min: GBMinInstance

    The minimal bot instance data.

  #### Returns void

Generated using TypeDoc